pydo.uptime.get_check_state()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.uptime.get_check_state(check_id="4de7ac8b-495b-4884-9a69-1050c6793cd6")
Returns JSONRaises HttpResponseError

Description

To show information about an existing check’s state, send a GET request to /v2/uptime/checks/{check_id}/state.

Parameters

check_id string required

A unique identifier for a check.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.uptime.check_state_get(check_id="fd9fda")

Response Example

Show Response Example
{
  "state": {
    "previous_outage": {
      "region": "us_east",
      "started_at": "2022-03-17T18:04:55Z",
      "ended_at": "2022-03-17T18:06:55Z",
      "duration_seconds": 120
    }
  }
}

More Information

See /v2/uptime/checks/{check_id}/state in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.